Package org.kapott.hbci.sepa.jaxb.pain_001_003_03

## Class OrganisationIdentificationSEPAChoice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_003_03.OrganisationIdentificationSEPAChoice

    public class OrganisationIdentificationSEPAChoice
    extends java.lang.Object

Java class for OrganisationIdentificationSEPAChoice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OrganisationIdentificationSEPAChoice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="BICOrBEI" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}AnyBICIdentifier"/>
               <element name="Othr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}GenericOrganisationIdentification1"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `bicOrBEI`
`protected GenericOrganisationIdentification1` `othr`

### Constructor Summary

Constructors
`OrganisationIdentificationSEPAChoice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getBICOrBEI()` Gets the value of the bicOrBEI property.
`GenericOrganisationIdentification1` `getOthr()` Gets the value of the othr property.
`void` `setBICOrBEI​(java.lang.String value)` Sets the value of the bicOrBEI property.
`void` `setOthr​(GenericOrganisationIdentification1 value)` Sets the value of the othr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bicOrBEI

    protected java.lang.String bicOrBEI

#### othr

    protected GenericOrganisationIdentification1 othr

### Constructor Detail

#### OrganisationIdentificationSEPAChoice

    public OrganisationIdentificationSEPAChoice()

### Method Detail

#### getBICOrBEI

    public java.lang.String getBICOrBEI()

Gets the value of the bicOrBEI property.

Returns:
  possible object is `String`

#### setBICOrBEI

    public void setBICOrBEI​(java.lang.String value)

Sets the value of the bicOrBEI property.

Parameters:
  `value` - allowed object is `String`

#### getOthr

    public GenericOrganisationIdentification1 getOthr()

Gets the value of the othr property.

Returns:
  possible object is `GenericOrganisationIdentification1`

#### setOthr

    public void setOthr​(GenericOrganisationIdentification1 value)

Sets the value of the othr property.

Parameters:
  `value` - allowed object is `GenericOrganisationIdentification1`